summaryrefslogtreecommitdiff
path: root/test/5.6-lpr.sh
diff options
context:
space:
mode:
authorjlovell <jlovell@a1ca3aef-8c08-0410-bb20-df032aa958be>2006-01-13 01:51:53 +0000
committerjlovell <jlovell@a1ca3aef-8c08-0410-bb20-df032aa958be>2006-01-13 01:51:53 +0000
commitef416fc25c4af449e930416117bedb12fc9924ba (patch)
tree11f8aa8c5d3565a17d4a6d5121d3edba22e2a21e /test/5.6-lpr.sh
parent9ec11526e139aeacf6a052799a6aa22cbbe6ebb2 (diff)
downloadcups-ef416fc25c4af449e930416117bedb12fc9924ba.tar.gz
Load cups into easysw/current.
git-svn-id: svn+ssh://src.apple.com/svn/cups/easysw/current@2 a1ca3aef-8c08-0410-bb20-df032aa958be
Diffstat (limited to 'test/5.6-lpr.sh')
-rw-r--r--test/5.6-lpr.sh71
1 files changed, 71 insertions, 0 deletions
diff --git a/test/5.6-lpr.sh b/test/5.6-lpr.sh
new file mode 100644
index 000000000..c16a121dc
--- /dev/null
+++ b/test/5.6-lpr.sh
@@ -0,0 +1,71 @@
+#!/bin/sh
+#
+# "$Id: 5.6-lpr.sh 4494 2005-02-18 02:18:11Z mike $"
+#
+# Test the lpr command.
+#
+# Copyright 1997-2005 by Easy Software Products, all rights reserved.
+#
+# These coded instructions, statements, and computer programs are the
+# property of Easy Software Products and are protected by Federal
+# copyright law. Distribution and use rights are outlined in the file
+# "LICENSE.txt" which should have been included with this file. If this
+# file is missing or damaged please contact Easy Software Products
+# at:
+#
+# Attn: CUPS Licensing Information
+# Easy Software Products
+# 44141 Airport View Drive, Suite 204
+# Hollywood, Maryland 20636 USA
+#
+# Voice: (301) 373-9600
+# EMail: cups-info@cups.org
+# WWW: http://www.cups.org
+#
+
+echo "LPR Default Test"
+echo ""
+echo " lpr testfile.jpg"
+../berkeley/lpr testfile.jpg 2>&1
+if test $? != 0; then
+ echo " FAILED"
+ exit 1
+else
+ echo " PASSED"
+fi
+echo ""
+
+echo "LPR Destination Test"
+echo ""
+echo " lpr -P Test1 testfile.jpg"
+../berkeley/lpr -P Test1 testfile.jpg 2>&1
+if test $? != 0; then
+ echo " FAILED"
+ exit 1
+else
+ echo " PASSED"
+fi
+echo ""
+
+echo "LPR Flood Test"
+echo ""
+echo " lpr -P Test1 testfile.jpg ($1 times in parallel)"
+i=0
+while test $i -lt $1; do
+ echo " flood copy $i..." 1>&2
+ ../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
+ lprpid=$!
+ i=`expr $i + 1`
+done
+wait $lppid
+if test $? != 0; then
+ echo " FAILED"
+ exit 1
+else
+ echo " PASSED"
+fi
+echo ""
+
+#
+# End of "$Id: 5.6-lpr.sh 4494 2005-02-18 02:18:11Z mike $".
+#